Update notification preferences.
curl --request PUT \
--url https://api.leadping.ai/users/me/notification-preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"appointmentReminderInAppEnabled": true,
"appointmentReminderEnabled": true,
"appointmentReminderEmailEnabled": true,
"appointmentReminderSmsEnabled": true,
"quietHoursEnabled": true,
"quietHoursQueueEnabled": true,
"quietHoursStart": "<string>",
"quietHoursEnd": "<string>",
"quietHoursTimeZoneId": "<string>",
"smsConsentOptedIn": true,
"smsConsentUpdatedAt": "2023-11-07T05:31:56Z",
"smsConsentCertificate": {
"id": "<string>",
"source": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
},
"paymentFailedEnabled": true,
"paymentFailedSmsEnabled": true,
"lowWalletBalanceEnabled": true,
"lowWalletBalanceEmailEnabled": true,
"lowWalletBalanceSmsEnabled": true,
"tenDlcStatusEnabled": true,
"newLeadEnabled": true,
"newLeadEmailEnabled": true,
"newLeadSmsEnabled": true,
"missedCallEnabled": true,
"missedCallEmailEnabled": true,
"missedCallSmsEnabled": true,
"unreadSmsEnabled": true,
"unreadSmsEmailEnabled": true,
"unreadSmsSmsEnabled": true,
"automationFailedEnabled": true,
"automationFailedEmailEnabled": true,
"automationFailedSmsEnabled": true,
"billingEmailEnabled": true,
"billingSmsEnabled": true,
"subscriptionRenewingEnabled": true,
"subscriptionRenewingEmailEnabled": true,
"subscriptionRenewingSmsEnabled": true,
"usageLimitHitEnabled": true
}
'import requests
url = "https://api.leadping.ai/users/me/notification-preferences"
payload = {
"appointmentReminderInAppEnabled": True,
"appointmentReminderEnabled": True,
"appointmentReminderEmailEnabled": True,
"appointmentReminderSmsEnabled": True,
"quietHoursEnabled": True,
"quietHoursQueueEnabled": True,
"quietHoursStart": "<string>",
"quietHoursEnd": "<string>",
"quietHoursTimeZoneId": "<string>",
"smsConsentOptedIn": True,
"smsConsentUpdatedAt": "2023-11-07T05:31:56Z",
"smsConsentCertificate": {
"id": "<string>",
"source": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
},
"paymentFailedEnabled": True,
"paymentFailedSmsEnabled": True,
"lowWalletBalanceEnabled": True,
"lowWalletBalanceEmailEnabled": True,
"lowWalletBalanceSmsEnabled": True,
"tenDlcStatusEnabled": True,
"newLeadEnabled": True,
"newLeadEmailEnabled": True,
"newLeadSmsEnabled": True,
"missedCallEnabled": True,
"missedCallEmailEnabled": True,
"missedCallSmsEnabled": True,
"unreadSmsEnabled": True,
"unreadSmsEmailEnabled": True,
"unreadSmsSmsEnabled": True,
"automationFailedEnabled": True,
"automationFailedEmailEnabled": True,
"automationFailedSmsEnabled": True,
"billingEmailEnabled": True,
"billingSmsEnabled": True,
"subscriptionRenewingEnabled": True,
"subscriptionRenewingEmailEnabled": True,
"subscriptionRenewingSmsEnabled": True,
"usageLimitHitEnabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/users/me/notification-preferences");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"appointmentReminderInAppEnabled\": true,\n \"appointmentReminderEnabled\": true,\n \"appointmentReminderEmailEnabled\": true,\n \"appointmentReminderSmsEnabled\": true,\n \"quietHoursEnabled\": true,\n \"quietHoursQueueEnabled\": true,\n \"quietHoursStart\": \"<string>\",\n \"quietHoursEnd\": \"<string>\",\n \"quietHoursTimeZoneId\": \"<string>\",\n \"smsConsentOptedIn\": true,\n \"smsConsentUpdatedAt\": \"2023-11-07T05:31:56Z\",\n \"smsConsentCertificate\": {\n \"id\": \"<string>\",\n \"source\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\"\n },\n \"paymentFailedEnabled\": true,\n \"paymentFailedSmsEnabled\": true,\n \"lowWalletBalanceEnabled\": true,\n \"lowWalletBalanceEmailEnabled\": true,\n \"lowWalletBalanceSmsEnabled\": true,\n \"tenDlcStatusEnabled\": true,\n \"newLeadEnabled\": true,\n \"newLeadEmailEnabled\": true,\n \"newLeadSmsEnabled\": true,\n \"missedCallEnabled\": true,\n \"missedCallEmailEnabled\": true,\n \"missedCallSmsEnabled\": true,\n \"unreadSmsEnabled\": true,\n \"unreadSmsEmailEnabled\": true,\n \"unreadSmsSmsEnabled\": true,\n \"automationFailedEnabled\": true,\n \"automationFailedEmailEnabled\": true,\n \"automationFailedSmsEnabled\": true,\n \"billingEmailEnabled\": true,\n \"billingSmsEnabled\": true,\n \"subscriptionRenewingEnabled\": true,\n \"subscriptionRenewingEmailEnabled\": true,\n \"subscriptionRenewingSmsEnabled\": true,\n \"usageLimitHitEnabled\": true\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.leadping.ai/users/me/notification-preferences")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"appointmentReminderInAppEnabled\": true,\n \"appointmentReminderEnabled\": true,\n \"appointmentReminderEmailEnabled\": true,\n \"appointmentReminderSmsEnabled\": true,\n \"quietHoursEnabled\": true,\n \"quietHoursQueueEnabled\": true,\n \"quietHoursStart\": \"<string>\",\n \"quietHoursEnd\": \"<string>\",\n \"quietHoursTimeZoneId\": \"<string>\",\n \"smsConsentOptedIn\": true,\n \"smsConsentUpdatedAt\": \"2023-11-07T05:31:56Z\",\n \"smsConsentCertificate\": {\n \"id\": \"<string>\",\n \"source\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\"\n },\n \"paymentFailedEnabled\": true,\n \"paymentFailedSmsEnabled\": true,\n \"lowWalletBalanceEnabled\": true,\n \"lowWalletBalanceEmailEnabled\": true,\n \"lowWalletBalanceSmsEnabled\": true,\n \"tenDlcStatusEnabled\": true,\n \"newLeadEnabled\": true,\n \"newLeadEmailEnabled\": true,\n \"newLeadSmsEnabled\": true,\n \"missedCallEnabled\": true,\n \"missedCallEmailEnabled\": true,\n \"missedCallSmsEnabled\": true,\n \"unreadSmsEnabled\": true,\n \"unreadSmsEmailEnabled\": true,\n \"unreadSmsSmsEnabled\": true,\n \"automationFailedEnabled\": true,\n \"automationFailedEmailEnabled\": true,\n \"automationFailedSmsEnabled\": true,\n \"billingEmailEnabled\": true,\n \"billingSmsEnabled\": true,\n \"subscriptionRenewingEnabled\": true,\n \"subscriptionRenewingEmailEnabled\": true,\n \"subscriptionRenewingSmsEnabled\": true,\n \"usageLimitHitEnabled\": true\n}")
.asString();const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
appointmentReminderInAppEnabled: true,
appointmentReminderEnabled: true,
appointmentReminderEmailEnabled: true,
appointmentReminderSmsEnabled: true,
quietHoursEnabled: true,
quietHoursQueueEnabled: true,
quietHoursStart: '<string>',
quietHoursEnd: '<string>',
quietHoursTimeZoneId: '<string>',
smsConsentOptedIn: true,
smsConsentUpdatedAt: '2023-11-07T05:31:56Z',
smsConsentCertificate: {id: '<string>', source: '<string>', createdAt: '2023-11-07T05:31:56Z'},
paymentFailedEnabled: true,
paymentFailedSmsEnabled: true,
lowWalletBalanceEnabled: true,
lowWalletBalanceEmailEnabled: true,
lowWalletBalanceSmsEnabled: true,
tenDlcStatusEnabled: true,
newLeadEnabled: true,
newLeadEmailEnabled: true,
newLeadSmsEnabled: true,
missedCallEnabled: true,
missedCallEmailEnabled: true,
missedCallSmsEnabled: true,
unreadSmsEnabled: true,
unreadSmsEmailEnabled: true,
unreadSmsSmsEnabled: true,
automationFailedEnabled: true,
automationFailedEmailEnabled: true,
automationFailedSmsEnabled: true,
billingEmailEnabled: true,
billingSmsEnabled: true,
subscriptionRenewingEnabled: true,
subscriptionRenewingEmailEnabled: true,
subscriptionRenewingSmsEnabled: true,
usageLimitHitEnabled: true
})
};
fetch('https://api.leadping.ai/users/me/notification-preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/users/me/notification-preferences"
payload := strings.NewReader("{\n \"appointmentReminderInAppEnabled\": true,\n \"appointmentReminderEnabled\": true,\n \"appointmentReminderEmailEnabled\": true,\n \"appointmentReminderSmsEnabled\": true,\n \"quietHoursEnabled\": true,\n \"quietHoursQueueEnabled\": true,\n \"quietHoursStart\": \"<string>\",\n \"quietHoursEnd\": \"<string>\",\n \"quietHoursTimeZoneId\": \"<string>\",\n \"smsConsentOptedIn\": true,\n \"smsConsentUpdatedAt\": \"2023-11-07T05:31:56Z\",\n \"smsConsentCertificate\": {\n \"id\": \"<string>\",\n \"source\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\"\n },\n \"paymentFailedEnabled\": true,\n \"paymentFailedSmsEnabled\": true,\n \"lowWalletBalanceEnabled\": true,\n \"lowWalletBalanceEmailEnabled\": true,\n \"lowWalletBalanceSmsEnabled\": true,\n \"tenDlcStatusEnabled\": true,\n \"newLeadEnabled\": true,\n \"newLeadEmailEnabled\": true,\n \"newLeadSmsEnabled\": true,\n \"missedCallEnabled\": true,\n \"missedCallEmailEnabled\": true,\n \"missedCallSmsEnabled\": true,\n \"unreadSmsEnabled\": true,\n \"unreadSmsEmailEnabled\": true,\n \"unreadSmsSmsEnabled\": true,\n \"automationFailedEnabled\": true,\n \"automationFailedEmailEnabled\": true,\n \"automationFailedSmsEnabled\": true,\n \"billingEmailEnabled\": true,\n \"billingSmsEnabled\": true,\n \"subscriptionRenewingEnabled\": true,\n \"subscriptionRenewingEmailEnabled\": true,\n \"subscriptionRenewingSmsEnabled\": true,\n \"usageLimitHitEnabled\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/users/me/notification-preferences",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'appointmentReminderInAppEnabled' => true,
'appointmentReminderEnabled' => true,
'appointmentReminderEmailEnabled' => true,
'appointmentReminderSmsEnabled' => true,
'quietHoursEnabled' => true,
'quietHoursQueueEnabled' => true,
'quietHoursStart' => '<string>',
'quietHoursEnd' => '<string>',
'quietHoursTimeZoneId' => '<string>',
'smsConsentOptedIn' => true,
'smsConsentUpdatedAt' => '2023-11-07T05:31:56Z',
'smsConsentCertificate' => [
'id' => '<string>',
'source' => '<string>',
'createdAt' => '2023-11-07T05:31:56Z'
],
'paymentFailedEnabled' => true,
'paymentFailedSmsEnabled' => true,
'lowWalletBalanceEnabled' => true,
'lowWalletBalanceEmailEnabled' => true,
'lowWalletBalanceSmsEnabled' => true,
'tenDlcStatusEnabled' => true,
'newLeadEnabled' => true,
'newLeadEmailEnabled' => true,
'newLeadSmsEnabled' => true,
'missedCallEnabled' => true,
'missedCallEmailEnabled' => true,
'missedCallSmsEnabled' => true,
'unreadSmsEnabled' => true,
'unreadSmsEmailEnabled' => true,
'unreadSmsSmsEnabled' => true,
'automationFailedEnabled' => true,
'automationFailedEmailEnabled' => true,
'automationFailedSmsEnabled' => true,
'billingEmailEnabled' => true,
'billingSmsEnabled' => true,
'subscriptionRenewingEnabled' => true,
'subscriptionRenewingEmailEnabled' => true,
'subscriptionRenewingSmsEnabled' => true,
'usageLimitHitEnabled' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"adminDemoPreferences": {
"showDemoData": true,
"showDemoMarkers": true
},
"isDemo": true,
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"timeZoneId": "<string>",
"billingPlan": "Annual",
"subscriptionStatus": "Pending",
"billingState": {
"hasStripeCustomer": true,
"hasPaymentMethod": true,
"phoneNumberQuantity": 123,
"numberHealthQuantity": 123,
"organizationMemberQuantity": 123,
"organizationMemberAssignedQuantity": 123,
"pendingBillingPlan": "Annual",
"billingPlanChangeEffectiveAt": "2023-11-07T05:31:56Z",
"planRenewalAt": "2023-11-07T05:31:56Z",
"planPeriodStartAt": "2023-11-07T05:31:56Z",
"cancelAt": "2023-11-07T05:31:56Z",
"dunning": {
"stage": "<string>",
"paymentFailedAt": "2023-11-07T05:31:56Z",
"lastFailedInvoiceStatus": "<string>",
"retryAttemptCount": 123,
"nextRetryAt": "2023-11-07T05:31:56Z",
"gracePeriodEndsAt": "2023-11-07T05:31:56Z",
"outboundRestrictedAt": "2023-11-07T05:31:56Z",
"outboundSuspendedAt": "2023-11-07T05:31:56Z",
"finalCancellationAt": "2023-11-07T05:31:56Z",
"lastUpdatedAt": "2023-11-07T05:31:56Z"
},
"lastSubscriptionEventAt": "2023-11-07T05:31:56Z",
"lastPaymentMethodEventAt": "2023-11-07T05:31:56Z"
},
"roles": [
"<string>"
],
"currentOrganization": {
"id": "<string>",
"name": "<string>"
},
"compliance": {
"acceptedTerms": true,
"acceptedToSubscription": true,
"acceptedSms": true,
"acceptedBaa": true,
"acceptedEmail": true,
"consentCertificates": [
{
"id": "<string>",
"source": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
},
"notificationPreferences": {
"appointmentReminderInAppEnabled": true,
"appointmentReminderEnabled": true,
"appointmentReminderEmailEnabled": true,
"appointmentReminderSmsEnabled": true,
"quietHoursEnabled": true,
"quietHoursQueueEnabled": true,
"quietHoursStart": "<string>",
"quietHoursEnd": "<string>",
"quietHoursTimeZoneId": "<string>",
"smsConsentOptedIn": true,
"smsConsentUpdatedAt": "2023-11-07T05:31:56Z",
"smsConsentCertificate": {
"id": "<string>",
"source": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
},
"paymentFailedEnabled": true,
"paymentFailedSmsEnabled": true,
"lowWalletBalanceEnabled": true,
"lowWalletBalanceEmailEnabled": true,
"lowWalletBalanceSmsEnabled": true,
"tenDlcStatusEnabled": true,
"newLeadEnabled": true,
"newLeadEmailEnabled": true,
"newLeadSmsEnabled": true,
"missedCallEnabled": true,
"missedCallEmailEnabled": true,
"missedCallSmsEnabled": true,
"unreadSmsEnabled": true,
"unreadSmsEmailEnabled": true,
"unreadSmsSmsEnabled": true,
"automationFailedEnabled": true,
"automationFailedEmailEnabled": true,
"automationFailedSmsEnabled": true,
"billingEmailEnabled": true,
"billingSmsEnabled": true,
"subscriptionRenewingEnabled": true,
"subscriptionRenewingEmailEnabled": true,
"subscriptionRenewingSmsEnabled": true,
"usageLimitHitEnabled": true
},
"mobileDevicePreferences": [
{
"device": {
"id": "<string>",
"name": "<string>"
},
"inboundPhoneCallsEnabled": true,
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"lastLoggedInAt": "2023-11-07T05:31:56Z",
"lastActiveAt": "2023-11-07T05:31:56Z",
"personalDataDeletionRequestedAt": "2023-11-07T05:31:56Z",
"personalDataDeletedAt": "2023-11-07T05:31:56Z",
"personalDataDeletionStatus": "<string>",
"personalDataDeletionReason": "<string>",
"name": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"title": "Bad Request",
"status": 400,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Conflict",
"status": 409,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Request Failed",
"status": 415,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Internal Server Error",
"status": 500,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Service Unavailable",
"status": 503,
"detail": "The request could not be completed."
}Users
Update notification preferences.
Update notification channel and delivery preferences for the authenticated Leadping user through the API without submitting unrelated user profile fields.
PUT
/
users
/
me
/
notification-preferences
Update notification preferences.
curl --request PUT \
--url https://api.leadping.ai/users/me/notification-preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"appointmentReminderInAppEnabled": true,
"appointmentReminderEnabled": true,
"appointmentReminderEmailEnabled": true,
"appointmentReminderSmsEnabled": true,
"quietHoursEnabled": true,
"quietHoursQueueEnabled": true,
"quietHoursStart": "<string>",
"quietHoursEnd": "<string>",
"quietHoursTimeZoneId": "<string>",
"smsConsentOptedIn": true,
"smsConsentUpdatedAt": "2023-11-07T05:31:56Z",
"smsConsentCertificate": {
"id": "<string>",
"source": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
},
"paymentFailedEnabled": true,
"paymentFailedSmsEnabled": true,
"lowWalletBalanceEnabled": true,
"lowWalletBalanceEmailEnabled": true,
"lowWalletBalanceSmsEnabled": true,
"tenDlcStatusEnabled": true,
"newLeadEnabled": true,
"newLeadEmailEnabled": true,
"newLeadSmsEnabled": true,
"missedCallEnabled": true,
"missedCallEmailEnabled": true,
"missedCallSmsEnabled": true,
"unreadSmsEnabled": true,
"unreadSmsEmailEnabled": true,
"unreadSmsSmsEnabled": true,
"automationFailedEnabled": true,
"automationFailedEmailEnabled": true,
"automationFailedSmsEnabled": true,
"billingEmailEnabled": true,
"billingSmsEnabled": true,
"subscriptionRenewingEnabled": true,
"subscriptionRenewingEmailEnabled": true,
"subscriptionRenewingSmsEnabled": true,
"usageLimitHitEnabled": true
}
'import requests
url = "https://api.leadping.ai/users/me/notification-preferences"
payload = {
"appointmentReminderInAppEnabled": True,
"appointmentReminderEnabled": True,
"appointmentReminderEmailEnabled": True,
"appointmentReminderSmsEnabled": True,
"quietHoursEnabled": True,
"quietHoursQueueEnabled": True,
"quietHoursStart": "<string>",
"quietHoursEnd": "<string>",
"quietHoursTimeZoneId": "<string>",
"smsConsentOptedIn": True,
"smsConsentUpdatedAt": "2023-11-07T05:31:56Z",
"smsConsentCertificate": {
"id": "<string>",
"source": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
},
"paymentFailedEnabled": True,
"paymentFailedSmsEnabled": True,
"lowWalletBalanceEnabled": True,
"lowWalletBalanceEmailEnabled": True,
"lowWalletBalanceSmsEnabled": True,
"tenDlcStatusEnabled": True,
"newLeadEnabled": True,
"newLeadEmailEnabled": True,
"newLeadSmsEnabled": True,
"missedCallEnabled": True,
"missedCallEmailEnabled": True,
"missedCallSmsEnabled": True,
"unreadSmsEnabled": True,
"unreadSmsEmailEnabled": True,
"unreadSmsSmsEnabled": True,
"automationFailedEnabled": True,
"automationFailedEmailEnabled": True,
"automationFailedSmsEnabled": True,
"billingEmailEnabled": True,
"billingSmsEnabled": True,
"subscriptionRenewingEnabled": True,
"subscriptionRenewingEmailEnabled": True,
"subscriptionRenewingSmsEnabled": True,
"usageLimitHitEnabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/users/me/notification-preferences");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"appointmentReminderInAppEnabled\": true,\n \"appointmentReminderEnabled\": true,\n \"appointmentReminderEmailEnabled\": true,\n \"appointmentReminderSmsEnabled\": true,\n \"quietHoursEnabled\": true,\n \"quietHoursQueueEnabled\": true,\n \"quietHoursStart\": \"<string>\",\n \"quietHoursEnd\": \"<string>\",\n \"quietHoursTimeZoneId\": \"<string>\",\n \"smsConsentOptedIn\": true,\n \"smsConsentUpdatedAt\": \"2023-11-07T05:31:56Z\",\n \"smsConsentCertificate\": {\n \"id\": \"<string>\",\n \"source\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\"\n },\n \"paymentFailedEnabled\": true,\n \"paymentFailedSmsEnabled\": true,\n \"lowWalletBalanceEnabled\": true,\n \"lowWalletBalanceEmailEnabled\": true,\n \"lowWalletBalanceSmsEnabled\": true,\n \"tenDlcStatusEnabled\": true,\n \"newLeadEnabled\": true,\n \"newLeadEmailEnabled\": true,\n \"newLeadSmsEnabled\": true,\n \"missedCallEnabled\": true,\n \"missedCallEmailEnabled\": true,\n \"missedCallSmsEnabled\": true,\n \"unreadSmsEnabled\": true,\n \"unreadSmsEmailEnabled\": true,\n \"unreadSmsSmsEnabled\": true,\n \"automationFailedEnabled\": true,\n \"automationFailedEmailEnabled\": true,\n \"automationFailedSmsEnabled\": true,\n \"billingEmailEnabled\": true,\n \"billingSmsEnabled\": true,\n \"subscriptionRenewingEnabled\": true,\n \"subscriptionRenewingEmailEnabled\": true,\n \"subscriptionRenewingSmsEnabled\": true,\n \"usageLimitHitEnabled\": true\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.leadping.ai/users/me/notification-preferences")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"appointmentReminderInAppEnabled\": true,\n \"appointmentReminderEnabled\": true,\n \"appointmentReminderEmailEnabled\": true,\n \"appointmentReminderSmsEnabled\": true,\n \"quietHoursEnabled\": true,\n \"quietHoursQueueEnabled\": true,\n \"quietHoursStart\": \"<string>\",\n \"quietHoursEnd\": \"<string>\",\n \"quietHoursTimeZoneId\": \"<string>\",\n \"smsConsentOptedIn\": true,\n \"smsConsentUpdatedAt\": \"2023-11-07T05:31:56Z\",\n \"smsConsentCertificate\": {\n \"id\": \"<string>\",\n \"source\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\"\n },\n \"paymentFailedEnabled\": true,\n \"paymentFailedSmsEnabled\": true,\n \"lowWalletBalanceEnabled\": true,\n \"lowWalletBalanceEmailEnabled\": true,\n \"lowWalletBalanceSmsEnabled\": true,\n \"tenDlcStatusEnabled\": true,\n \"newLeadEnabled\": true,\n \"newLeadEmailEnabled\": true,\n \"newLeadSmsEnabled\": true,\n \"missedCallEnabled\": true,\n \"missedCallEmailEnabled\": true,\n \"missedCallSmsEnabled\": true,\n \"unreadSmsEnabled\": true,\n \"unreadSmsEmailEnabled\": true,\n \"unreadSmsSmsEnabled\": true,\n \"automationFailedEnabled\": true,\n \"automationFailedEmailEnabled\": true,\n \"automationFailedSmsEnabled\": true,\n \"billingEmailEnabled\": true,\n \"billingSmsEnabled\": true,\n \"subscriptionRenewingEnabled\": true,\n \"subscriptionRenewingEmailEnabled\": true,\n \"subscriptionRenewingSmsEnabled\": true,\n \"usageLimitHitEnabled\": true\n}")
.asString();const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
appointmentReminderInAppEnabled: true,
appointmentReminderEnabled: true,
appointmentReminderEmailEnabled: true,
appointmentReminderSmsEnabled: true,
quietHoursEnabled: true,
quietHoursQueueEnabled: true,
quietHoursStart: '<string>',
quietHoursEnd: '<string>',
quietHoursTimeZoneId: '<string>',
smsConsentOptedIn: true,
smsConsentUpdatedAt: '2023-11-07T05:31:56Z',
smsConsentCertificate: {id: '<string>', source: '<string>', createdAt: '2023-11-07T05:31:56Z'},
paymentFailedEnabled: true,
paymentFailedSmsEnabled: true,
lowWalletBalanceEnabled: true,
lowWalletBalanceEmailEnabled: true,
lowWalletBalanceSmsEnabled: true,
tenDlcStatusEnabled: true,
newLeadEnabled: true,
newLeadEmailEnabled: true,
newLeadSmsEnabled: true,
missedCallEnabled: true,
missedCallEmailEnabled: true,
missedCallSmsEnabled: true,
unreadSmsEnabled: true,
unreadSmsEmailEnabled: true,
unreadSmsSmsEnabled: true,
automationFailedEnabled: true,
automationFailedEmailEnabled: true,
automationFailedSmsEnabled: true,
billingEmailEnabled: true,
billingSmsEnabled: true,
subscriptionRenewingEnabled: true,
subscriptionRenewingEmailEnabled: true,
subscriptionRenewingSmsEnabled: true,
usageLimitHitEnabled: true
})
};
fetch('https://api.leadping.ai/users/me/notification-preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/users/me/notification-preferences"
payload := strings.NewReader("{\n \"appointmentReminderInAppEnabled\": true,\n \"appointmentReminderEnabled\": true,\n \"appointmentReminderEmailEnabled\": true,\n \"appointmentReminderSmsEnabled\": true,\n \"quietHoursEnabled\": true,\n \"quietHoursQueueEnabled\": true,\n \"quietHoursStart\": \"<string>\",\n \"quietHoursEnd\": \"<string>\",\n \"quietHoursTimeZoneId\": \"<string>\",\n \"smsConsentOptedIn\": true,\n \"smsConsentUpdatedAt\": \"2023-11-07T05:31:56Z\",\n \"smsConsentCertificate\": {\n \"id\": \"<string>\",\n \"source\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\"\n },\n \"paymentFailedEnabled\": true,\n \"paymentFailedSmsEnabled\": true,\n \"lowWalletBalanceEnabled\": true,\n \"lowWalletBalanceEmailEnabled\": true,\n \"lowWalletBalanceSmsEnabled\": true,\n \"tenDlcStatusEnabled\": true,\n \"newLeadEnabled\": true,\n \"newLeadEmailEnabled\": true,\n \"newLeadSmsEnabled\": true,\n \"missedCallEnabled\": true,\n \"missedCallEmailEnabled\": true,\n \"missedCallSmsEnabled\": true,\n \"unreadSmsEnabled\": true,\n \"unreadSmsEmailEnabled\": true,\n \"unreadSmsSmsEnabled\": true,\n \"automationFailedEnabled\": true,\n \"automationFailedEmailEnabled\": true,\n \"automationFailedSmsEnabled\": true,\n \"billingEmailEnabled\": true,\n \"billingSmsEnabled\": true,\n \"subscriptionRenewingEnabled\": true,\n \"subscriptionRenewingEmailEnabled\": true,\n \"subscriptionRenewingSmsEnabled\": true,\n \"usageLimitHitEnabled\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/users/me/notification-preferences",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'appointmentReminderInAppEnabled' => true,
'appointmentReminderEnabled' => true,
'appointmentReminderEmailEnabled' => true,
'appointmentReminderSmsEnabled' => true,
'quietHoursEnabled' => true,
'quietHoursQueueEnabled' => true,
'quietHoursStart' => '<string>',
'quietHoursEnd' => '<string>',
'quietHoursTimeZoneId' => '<string>',
'smsConsentOptedIn' => true,
'smsConsentUpdatedAt' => '2023-11-07T05:31:56Z',
'smsConsentCertificate' => [
'id' => '<string>',
'source' => '<string>',
'createdAt' => '2023-11-07T05:31:56Z'
],
'paymentFailedEnabled' => true,
'paymentFailedSmsEnabled' => true,
'lowWalletBalanceEnabled' => true,
'lowWalletBalanceEmailEnabled' => true,
'lowWalletBalanceSmsEnabled' => true,
'tenDlcStatusEnabled' => true,
'newLeadEnabled' => true,
'newLeadEmailEnabled' => true,
'newLeadSmsEnabled' => true,
'missedCallEnabled' => true,
'missedCallEmailEnabled' => true,
'missedCallSmsEnabled' => true,
'unreadSmsEnabled' => true,
'unreadSmsEmailEnabled' => true,
'unreadSmsSmsEnabled' => true,
'automationFailedEnabled' => true,
'automationFailedEmailEnabled' => true,
'automationFailedSmsEnabled' => true,
'billingEmailEnabled' => true,
'billingSmsEnabled' => true,
'subscriptionRenewingEnabled' => true,
'subscriptionRenewingEmailEnabled' => true,
'subscriptionRenewingSmsEnabled' => true,
'usageLimitHitEnabled' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"adminDemoPreferences": {
"showDemoData": true,
"showDemoMarkers": true
},
"isDemo": true,
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"timeZoneId": "<string>",
"billingPlan": "Annual",
"subscriptionStatus": "Pending",
"billingState": {
"hasStripeCustomer": true,
"hasPaymentMethod": true,
"phoneNumberQuantity": 123,
"numberHealthQuantity": 123,
"organizationMemberQuantity": 123,
"organizationMemberAssignedQuantity": 123,
"pendingBillingPlan": "Annual",
"billingPlanChangeEffectiveAt": "2023-11-07T05:31:56Z",
"planRenewalAt": "2023-11-07T05:31:56Z",
"planPeriodStartAt": "2023-11-07T05:31:56Z",
"cancelAt": "2023-11-07T05:31:56Z",
"dunning": {
"stage": "<string>",
"paymentFailedAt": "2023-11-07T05:31:56Z",
"lastFailedInvoiceStatus": "<string>",
"retryAttemptCount": 123,
"nextRetryAt": "2023-11-07T05:31:56Z",
"gracePeriodEndsAt": "2023-11-07T05:31:56Z",
"outboundRestrictedAt": "2023-11-07T05:31:56Z",
"outboundSuspendedAt": "2023-11-07T05:31:56Z",
"finalCancellationAt": "2023-11-07T05:31:56Z",
"lastUpdatedAt": "2023-11-07T05:31:56Z"
},
"lastSubscriptionEventAt": "2023-11-07T05:31:56Z",
"lastPaymentMethodEventAt": "2023-11-07T05:31:56Z"
},
"roles": [
"<string>"
],
"currentOrganization": {
"id": "<string>",
"name": "<string>"
},
"compliance": {
"acceptedTerms": true,
"acceptedToSubscription": true,
"acceptedSms": true,
"acceptedBaa": true,
"acceptedEmail": true,
"consentCertificates": [
{
"id": "<string>",
"source": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
},
"notificationPreferences": {
"appointmentReminderInAppEnabled": true,
"appointmentReminderEnabled": true,
"appointmentReminderEmailEnabled": true,
"appointmentReminderSmsEnabled": true,
"quietHoursEnabled": true,
"quietHoursQueueEnabled": true,
"quietHoursStart": "<string>",
"quietHoursEnd": "<string>",
"quietHoursTimeZoneId": "<string>",
"smsConsentOptedIn": true,
"smsConsentUpdatedAt": "2023-11-07T05:31:56Z",
"smsConsentCertificate": {
"id": "<string>",
"source": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
},
"paymentFailedEnabled": true,
"paymentFailedSmsEnabled": true,
"lowWalletBalanceEnabled": true,
"lowWalletBalanceEmailEnabled": true,
"lowWalletBalanceSmsEnabled": true,
"tenDlcStatusEnabled": true,
"newLeadEnabled": true,
"newLeadEmailEnabled": true,
"newLeadSmsEnabled": true,
"missedCallEnabled": true,
"missedCallEmailEnabled": true,
"missedCallSmsEnabled": true,
"unreadSmsEnabled": true,
"unreadSmsEmailEnabled": true,
"unreadSmsSmsEnabled": true,
"automationFailedEnabled": true,
"automationFailedEmailEnabled": true,
"automationFailedSmsEnabled": true,
"billingEmailEnabled": true,
"billingSmsEnabled": true,
"subscriptionRenewingEnabled": true,
"subscriptionRenewingEmailEnabled": true,
"subscriptionRenewingSmsEnabled": true,
"usageLimitHitEnabled": true
},
"mobileDevicePreferences": [
{
"device": {
"id": "<string>",
"name": "<string>"
},
"inboundPhoneCallsEnabled": true,
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"lastLoggedInAt": "2023-11-07T05:31:56Z",
"lastActiveAt": "2023-11-07T05:31:56Z",
"personalDataDeletionRequestedAt": "2023-11-07T05:31:56Z",
"personalDataDeletedAt": "2023-11-07T05:31:56Z",
"personalDataDeletionStatus": "<string>",
"personalDataDeletionReason": "<string>",
"name": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"title": "Bad Request",
"status": 400,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Conflict",
"status": 409,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Request Failed",
"status": 415,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Internal Server Error",
"status": 500,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Service Unavailable",
"status": 503,
"detail": "The request could not be completed."
}Authorizations
Body
application/jsonapplication/*+json
The notification preferences to store for the current user.
Describes user notification preferences data used in Leadping API requests and responses.
Response
The current user with the saved notification preferences.
Describes user data returned by Leadping.

